> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment batch

> Delete a specific payment batch from your account.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json delete /payment-batches/{paymentBatchId}
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}:
    delete:
      tags:
        - Payment Batches
      summary: Delete a payment batch
      description: Delete a specific payment batch from your account.
      operationId: deletePaymentBatch
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties: {}
              example: {}
      responses:
        '204':
          description: No Content
          content:
            application/json:
              schema:
                readOnly: true
                example: null
      security:
        - CommonAuth:
            - payment-batches:delete:any
            - payment-batches:delete:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request DELETE \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````